/*
 * mp3util.h
 *
 *  Created on: 23.12.2014
 *      Author: daniel
 */

#ifndef SRC_MP3UTIL_H_
#define SRC_MP3UTIL_H_

#include "mp3dec.h"
#include <stdbool.h>
#include "stm32f4xx.h"
#include <stdio.h>
#include "stm32f4xx_it.h"
#include "usb_hcd_int.h"
#include "usbh_usr.h"
#include "usbh_core.h"
#include "usbh_msc_core.h"

extern HMP3Decoder	hMP3Decoder;

MP3FrameInfo getMp3Info(FIL *f);
uint32_t Mp3ReadId3V2Tag(FIL* pInFile, char* pszArtist,
		uint32_t unArtistSize, char* pszTitle, uint32_t unTitleSize);
const char *get_filename_ext(const char *filename);
bool findNextFolder(const char *basefolder, char *lastFolderName, char *newFolderName);
bool findNextMp3(const char *basefolder, char *longFileName, char *shortFileName);
void Delay(volatile uint32_t nTime);
void TimingDelay_Decrement(void);

#endif /* SRC_MP3UTIL_H_ */
